Bug 342355 - 2.9 (Beta 1 git: 19dcf07) Canvas Only mode with Multiple Document Mode set to Tabs always has visible tabs
Summary: 2.9 (Beta 1 git: 19dcf07) Canvas Only mode with Multiple Document Mode set to...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: unspecified
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-31 03:12 UTC by Rick Cuddy
Modified: 2019-05-09 09:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Cuddy 2014-12-31 03:12:45 UTC
If editing a document in canvas only mode, while Krita is configured with Multiple Document Mode to Tabs, the tab containing the filename is always visible, even if only editing a single document. 

Canvas Only settings needs to be updated to add a new toggle option allowing the hiding of tabs when in Multi Document Tab mode
Comment 1 Scott Petrovic 2015-01-12 14:34:39 UTC
This is just how the Qt framework works. It is going to take some major hacking to function to get Krita to function this way.  With the amount of time it is going to take, it probably isn't going to be worth that time and mess it is going to create.

If Qt decides to add more functionality to their tabs area, we can look again in the future.
Comment 2 Kai Uwe Broulik 2019-05-09 09:47:04 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 391646, bug 401819, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 402391, bug 399697, bug 400871, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043